## org.eclipse.datatools.sqltools.db.generic.ui.service
Class GenericActionService

    java.lang.Object
      org.eclipse.datatools.sqltools.core.services.ActionService
          org.eclipse.datatools.sqltools.db.generic.ui.service.GenericActionService

    public class GenericActionService

extends org.eclipse.datatools.sqltools.core.services.ActionService

Author:
  Hui Cao

Constructor Summary
`GenericActionService()`

Method Summary
`boolean` `supportsAction(java.lang.String actionId)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericActionService

    public GenericActionService()

Method Detail

### supportsAction

    public boolean supportsAction(java.lang.String actionId)

  Overrides:
    `supportsAction` in class `org.eclipse.datatools.sqltools.core.services.ActionService`